Subject: a question about [draft-ietf-6man-segment-routing-header]

From: <[email-masked]>
Date: Wed, 4 Dec 2019 17:34:29 +0800 (CST)

Hi All,

When reading the draft referenced in the subject line, there is a question really doubts me,and after searching the mail lists and rfcs such as 8200, I still can't figure it out .

Session 4.3.1.1 explains how to  process an SRH when  an SRv6-capable node receives an IPv6 packet  and the corresponding FIB entry that represents a locally instantiated SRv6 SID.

   S01. When an SRH is processed {

   S02.   If Segments Left is equal to zero {

   S03.     Proceed to process the next header in the packet,

            whose type is identified by the Next Header field in

            the Routing header.

   S04.   }

My question is ,if segment left is not equal to 0, can the node process the next header in the packet or not ? Or it's a product realization thing?

I wonder if this issue has been already  discussed, if so, please please let me know where I can find it.

I look forward to hearing responses

Thanks

Liu Yao